%filtro pasatodo 
%y salida, z senal residuo, x entrada, d delay, g ganancia, s size
function y =allpass(x,s,d,g)
y=zeros(s,1);
z1=zeros(s+d,1);
for n=1:s
  y(n)=z1(n)- g*x(n);
  z1(n+d)=x(n)+g*y(n);
end